summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGilles Dartiguelongue <eva@gentoo.org>2017-08-09 23:50:45 +0200
committerGilles Dartiguelongue <eva@gentoo.org>2017-08-10 00:58:13 +0200
commitbf7e40ed7ca3829e0933f7a620372ed06206e4f8 (patch)
tree39f1153bcc063c32b0cdfd67e25db0b11ac42580 /app-accessibility/orca
parentsys-boot/plymouth: fixing up 9999 (diff)
downloadgentoo-bf7e40ed7ca3829e0933f7a620372ed06206e4f8.tar.gz
gentoo-bf7e40ed7ca3829e0933f7a620372ed06206e4f8.tar.bz2
gentoo-bf7e40ed7ca3829e0933f7a620372ed06206e4f8.zip
app-accessibility/orca: version bump 3.22.2 → 3.24.0
Updates to Web, MATE and LibreOffice handling. Couple of enhancements in dealing with general GUI items (menus, autocompletion) and translations updates. Package-Manager: Portage-2.3.6, Repoman-2.3.3
Diffstat (limited to 'app-accessibility/orca')
-rw-r--r--app-accessibility/orca/Manifest1
-rw-r--r--app-accessibility/orca/orca-3.24.0.ebuild72
2 files changed, 73 insertions, 0 deletions
diff --git a/app-accessibility/orca/Manifest b/app-accessibility/orca/Manifest
index e294ae41e3b..30690e96086 100644
--- a/app-accessibility/orca/Manifest
+++ b/app-accessibility/orca/Manifest
@@ -1 +1,2 @@
DIST orca-3.22.2.tar.xz 2345292 SHA256 599beeeec99fcf24aed7b97c832140f9355c79504c9250fcae90f611680368ca SHA512 0c4f3055509fd983da1081c4e33a4675ca498e75a8f2701318c000810cf691758eaded01969a6b56a2c25cf507bc4cb7e099f8498d1a0f6fa739d074a23528c5 WHIRLPOOL 9d6a88310a6e53ab93d16740e90eed8af54185b47b93fa2e0f7ffdda37178be2f07f5d1db38bc23b526ba2f3ec408aab15749a97f81367bfd5951a72e5967c53
+DIST orca-3.24.0.tar.xz 2391740 SHA256 27bd5e4eee12da737176a200b31d33e118d55ae832a4e3f0cbd3e756027246d1 SHA512 9aa65b534f69bb4a1b800e715776416843ac3756ec1267feca3c66476e34e54f6744f70c0f8ac8868a009d38b6cc165267268491a9ad29ebbd3601dba09d424c WHIRLPOOL 79c6e88d96603e14d5a7485f0cec22e5c6b67c850b974b9df279658cfb7a9ed1238b513256d45c7cbf34f81844eb6d8f3a851bc059d62d0730d85dbc19f301c2
diff --git a/app-accessibility/orca/orca-3.24.0.ebuild b/app-accessibility/orca/orca-3.24.0.ebuild
new file mode 100644
index 00000000000..5d32bd31ed7
--- /dev/null
+++ b/app-accessibility/orca/orca-3.24.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python3_{4,5} )
+PYTHON_REQ_USE="threads"
+
+inherit gnome2 python-r1
+
+DESCRIPTION="Extensible screen reader that provides access to the desktop"
+HOMEPAGE="https://wiki.gnome.org/Projects/Orca"
+
+LICENSE="LGPL-2.1+ CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+
+IUSE="+braille"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+COMMON_DEPEND="${PYTHON_DEPS}
+ >=app-accessibility/at-spi2-atk-2.12:2
+ >=app-accessibility/at-spi2-core-2.12:2[introspection]
+ >=dev-libs/atk-2.10
+ >=dev-libs/glib-2.28:2
+ dev-python/gst-python:1.0[${PYTHON_USEDEP}]
+ >=dev-python/pygobject-3.10:3[${PYTHON_USEDEP}]
+ media-libs/gstreamer:1.0[introspection]
+ >=x11-libs/gtk+-3.6.2:3[introspection]
+ braille? (
+ >=app-accessibility/brltty-5.0-r3[python,${PYTHON_USEDEP}]
+ dev-libs/liblouis[python,${PYTHON_USEDEP}] )
+"
+RDEPEND="${COMMON_DEPEND}
+ >=app-accessibility/speech-dispatcher-0.8[python,${PYTHON_USEDEP}]
+ dev-libs/atk[introspection]
+ dev-python/pyatspi[${PYTHON_USEDEP}]
+ dev-python/setproctitle[${PYTHON_USEDEP}]
+ x11-libs/libwnck:3[introspection]
+ x11-libs/pango[introspection]
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-util/intltool-0.50
+ dev-util/itstool
+ virtual/pkgconfig
+"
+# app-text/yelp-tools
+
+src_prepare() {
+ gnome2_src_prepare
+ python_copy_sources
+}
+
+src_configure() {
+ python_foreach_impl run_in_build_dir gnome2_src_configure \
+ $(use_with braille liblouis)
+}
+
+src_compile() {
+ python_foreach_impl run_in_build_dir gnome2_src_compile
+}
+
+src_install() {
+ installing() {
+ gnome2_src_install
+ # Massage shebang to make python_doscript happy
+ sed -e 's:#!'"${PYTHON}:#!/usr/bin/python:" \
+ -i src/orca/orca || die
+ python_doscript src/orca/orca
+ }
+ python_foreach_impl run_in_build_dir installing
+}